Skip to main content
Astra Automation
本产品推出了新版本。
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

列出所有 hook 源

GET /accounts/{account_id}/core/v1/hookSources

返回集合中所有匹配资源的 JSON 数组。如果在请求中指定了单个字段,则项目 JSON 数组将包含按指定顺序为每个匹配资源请求的字段。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

包括

string

查询

False

指示列出集合时应返回哪些字段。

URL 示例:"include=id"、"include=id,name"

OpenAPI 示例:"id"

limit

string

查询

False

指示列出集合时要返回的最大资源数。

URL 示例:"limit=2"

OpenAPI 示例:"2"

筛选器

string

查询

False

指示在列出集合时应匹配哪些字段以返回资源。

支持的运算符有:

  • eq - 相等

  • lt/gt - 小于/大于

  • lte/gte - 小于或等于/大于或等于

URL 示例:"filter=field%20eq%20%27value%27"

OpenAPI 示例:"field eq 'value'"

响应

Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
名称 Type Required Description

个项

数组[任意以下之一:"hookSource_1.0_get_response_body",数组[]]

True

元数据

"type_astra_metadata_list"

True

响应示例
{
  "type": "application/astra-hookSources",
  "version": "1.0",
  "items": [
    {
      "type": "application/astra-hookSource",
      "version": "1.0",
      "id": "2d6154dd-6863-4a26-8017-6be092b8b0bd",
      "name": "Payroll script",
      "private": "false",
      "preloaded": "false",
      "sourceType": "script",
      "source": "ZWNobyAiVkhKaGJuTWdVbWxuYUhSeklRPT0iIHwgYmFzZTY0IC1k",
      "sourceMD5Checksum": "b1a4b8b0144c3f6be553b626130ca145",
      "description": "Pre and post hook script for payroll",
      "metadata": {
        "labels": [],
        "creationTimestamp": "2020-08-06T12:24:52.256624Z",
        "modificationTimestamp": "2020-08-06T12:24:52.256624Z",
        "createdBy": "64182074-ddb6-42eb-b7f4-b6a02cf9ba7c"
      }
    },
    {
      "type": "application/astra-hookSource",
      "version": "1.0",
      "id": "b71c6793-aa9b-4654-92ef-60663a0aedac",
      "name": "Payroll script",
      "private": "true",
      "preloaded": "false",
      "sourceType": "script",
      "sourceMD5Checksum": "6469094cb279f6d91358bc5062d15baf",
      "description": "Pre and post hook script for payroll",
      "metadata": {
        "labels": [],
        "creationTimestamp": "2020-08-08T12:24:52.256624Z",
        "modificationTimestamp": "2020-08-08T12:24:52.256624Z",
        "createdBy": "64182074-ddb6-42eb-b7f4-b6a02cf9ba7c"
      }
    },
    {
      "type": "application/astra-hookSource",
      "version": "1.0",
      "id": "682fe9d2-52d2-4c30-bcec-ecefddde359c",
      "name": "NetApp preloaded ",
      "private": "true",
      "preloaded": "false",
      "sourceType": "script",
      "sourceMD5Checksum": "7864495443c1087104520a320a2225c9",
      "description": "NetApp Postgres preloaded snapshot pre and post",
      "metadata": {
        "labels": [],
        "creationTimestamp": "2020-07-12T12:24:52.256624Z",
        "modificationTimestamp": "2020-07-12T12:24:52.256624Z",
        "createdBy": "4428cfd4-27fd-4248-9f49-bd3a02043ab8"
      }
    }
  ],
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata_update

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

名称 Type Required Description

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

hookSource_1.0_get_response_body

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-hookSource"

version

string

True

资源的版本。定义的值为:

  • "1.0"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

name

string

True

包含用户指定的资源名称的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:63 在所有挂钩源资源中,名称必须是唯一的。

专用

string

True

JSON 字符串,指示源字段是在 API 中公开还是有意留空。定义的值为:

  • "true" - 源值是私有的,不会通过 API 公开。

  • "false" - 源值不是私有的,将通过 API 公开。

预加载

string

True

用于指示源是否已预加载的 JSON 字符串。定义的值为:

  • "true" - 源已预加载。

  • "false" - 未预加载源。预加载的挂钩源资源为只读。

sourceType

string

True

定义钩子源类型的 JSON 字符串。定义的值为:

  • "script" - Shell 脚本。明文源不得包含二进制数据或回车字符,否则返回错误。

string

False

包含要以 base64 格式运行的脚本的 JSON 字符串。定义的值为:

  • 最小长度:0

  • 最大长度:131072

  • 符合 base64 编码数据架构,使用 base64 编码时,源值的最大大小为 128 KiB。

sourceMD5Checksum

string

True

包含为"source"键值计算的 MD5 校验和的 JSON 字符串。定义的值为:

  • 定义的正则表达式为:"^([0-9a-fA-F]){32}$"

description

string

False

包含用户指定的钩子源描述的 JSON 字符串。定义的值为:

  • 最小长度:0

  • 最大长度:511

元数据

"type_astra_metadata_update"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

type_astra_metadata_list

名称 Type Required Description

继续

string

False

count

数字

False

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因